function _array_like_to_array(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes(arr) {
    if (Array.isArray(arr)) return arr;
}
function _iterable_to_array_limit(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _sliced_to_array(arr, i) {
    return _array_with_holes(arr) || _iterable_to_array_limit(arr, i) || _unsupported_iterable_to_array(arr, i) || _non_iterable_rest();
}
function _unsupported_iterable_to_array(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array(o, minLen);
}
import { Suspense, useEffect, useState, useTransition } from 'react';
import './index.css';
import { calcAudit } from '@ray-js/audit-rate-utils';
import { calcCategorieMap } from '../../utils';
import { Scores } from '../Scores';
import useTranslation from '../../hooks/useTranslation';
import { CommonCategory } from '../Categories';
var AuditRatingBox = function(param) {
    var source = param.source, basicInfo = param.basicInfo;
    var _useState = _sliced_to_array(useState(), 2), totalScore = _useState[0], setTotalScore = _useState[1];
    var _useState1 = _sliced_to_array(useState(), 2), categoriesMap = _useState1[0], setCategoriesMap = _useState1[1];
    var _useTransition = _sliced_to_array(useTransition(), 2), isPending = _useTransition[0], startTransition = _useTransition[1];
    var t = useTranslation().t;
    useEffect(function() {
        startTransition(function() {
            var _calcAudit = calcAudit(source), tasks = _calcAudit.tasks, categories = _calcAudit.categories, total = _calcAudit.total;
            var categoriesMap = calcCategorieMap(categories, tasks);
            setCategoriesMap(categoriesMap);
            setTotalScore(total);
        });
    }, [
        source,
        basicInfo
    ]);
    return /*#__PURE__*/ React.createElement(Suspense, {
        fallback: /*#__PURE__*/ React.createElement("div", {
            className: "loading-indicator"
        }, "Loading...")
    }, /*#__PURE__*/ React.createElement("div", {
        className: "rating-container"
    }, /*#__PURE__*/ React.createElement("div", {
        className: "rating-header"
    }, t('navTitle')), /*#__PURE__*/ React.createElement("div", {
        className: "rating-content"
    }, isPending ? /*#__PURE__*/ React.createElement("div", {
        className: "loading-indicator"
    }, "Loading...") : totalScore && categoriesMap && /*#__PURE__*/ React.createElement(React.Fragment, null, /*#__PURE__*/ React.createElement(Scores, {
        basicInfo: basicInfo,
        total: totalScore,
        categoriesMap: categoriesMap
    }), /*#__PURE__*/ React.createElement(CommonCategory, {
        tag: 'performance',
        categoriesMap: categoriesMap.performance
    }), /*#__PURE__*/ React.createElement(CommonCategory, {
        tag: 'experience',
        categoriesMap: categoriesMap.experience
    }), /*#__PURE__*/ React.createElement(CommonCategory, {
        tag: 'bestPractice',
        categoriesMap: categoriesMap['best-practice']
    })))));
};
export default AuditRatingBox;

//# sourceMappingURL=index.js.map