import { useTranslation } from '../../hooks/useTranslation';
import './index.css';
export var BasicInfo = function(param) {
    var basicInfo = param.basicInfo;
    var _basicInfo_network;
    var t = useTranslation().t;
    var infoItems = [
        {
            label: t('basicinfo_deviceModel'),
            value: basicInfo.model
        },
        {
            label: t('basicinfo_networkType'),
            value: (_basicInfo_network = basicInfo.network) === null || _basicInfo_network === void 0 ? void 0 : _basicInfo_network.toLowerCase()
        },
        {
            label: t('basicinfo_baseLibVersion'),
            value: basicInfo.jssdkVersion
        },
        {
            label: t('basicinfo_miniprogramId'),
            value: basicInfo.miniprogramId
        },
        {
            label: t('basicinfo_version'),
            value: basicInfo.versionCode
        }
    ];
    return /*#__PURE__*/ React.createElement("div", {
        className: "basic-info-container"
    }, /*#__PURE__*/ React.createElement("div", {
        className: "basic-info-items"
    }, infoItems.map(function(item, index) {
        return /*#__PURE__*/ React.createElement("div", {
            key: index,
            className: "row-center"
        }, /*#__PURE__*/ React.createElement("div", {
            className: "info-item"
        }, /*#__PURE__*/ React.createElement("span", {
            className: "info-label"
        }, item.label), /*#__PURE__*/ React.createElement("span", {
            className: "info-value"
        }, item.value)), index < infoItems.length - 1 && /*#__PURE__*/ React.createElement(Divider, {
            margin: "0 30px"
        }));
    })));
};
var Divider = function(param) {
    var _param_margin = param.margin, margin = _param_margin === void 0 ? '10px 0' : _param_margin, _param_height = param.height, height = _param_height === void 0 ? '12px' : _param_height;
    return /*#__PURE__*/ React.createElement("div", {
        style: {
            height: height,
            width: 1,
            margin: margin,
            background: '#ccc'
        }
    });
};

//# sourceMappingURL=index.js.map