import { getColorWithScore } from '../../utils';
import { useTranslation } from '../../hooks/useTranslation';
import { CircularProgressbar, buildStyles } from 'react-circular-progressbar';
import 'react-circular-progressbar/dist/styles.css';
import './index.css';
import { BasicInfo } from '../BasicInfo';
var ScoreCard = function(param) {
    var title = param.title, score = param.score, level = param.level;
    var color = getColorWithScore(level);
    var roundedScore = Math.round(score);
    return /*#__PURE__*/ React.createElement("div", {
        className: "score-card"
    }, /*#__PURE__*/ React.createElement(CircularProgressbar, {
        strokeWidth: 12,
        className: "score-cycle",
        value: roundedScore,
        text: "".concat(roundedScore),
        styles: buildStyles({
            textSize: '28px',
            pathColor: color,
            textColor: color,
            trailColor: '#f5f5f5'
        })
    }), /*#__PURE__*/ React.createElement("div", {
        className: "score-title"
    }, title));
};
export var Scores = function(param) {
    var basicInfo = param.basicInfo, total = param.total, categoriesMap = param.categoriesMap;
    var t = useTranslation().t;
    var roundedTotalScore = Math.round(total.score);
    return /*#__PURE__*/ React.createElement("div", {
        className: "scores-container"
    }, /*#__PURE__*/ React.createElement(BasicInfo, {
        basicInfo: basicInfo
    }), /*#__PURE__*/ React.createElement("div", {
        className: "scores-list"
    }, /*#__PURE__*/ React.createElement(ScoreCard, {
        title: t('score_title_total'),
        score: roundedTotalScore,
        level: total.level
    }), /*#__PURE__*/ React.createElement(ScoreCard, {
        title: t('score_title_performance'),
        score: categoriesMap.performance.score,
        level: categoriesMap.performance.level
    }), /*#__PURE__*/ React.createElement(ScoreCard, {
        title: t('score_title_experience'),
        score: categoriesMap.experience.score,
        level: categoriesMap.experience.level
    }), /*#__PURE__*/ React.createElement(ScoreCard, {
        title: t('score_title_bestPractice'),
        score: categoriesMap['best-practice'].score,
        level: categoriesMap['best-practice'].level
    })));
};

//# sourceMappingURL=index.js.map