function _array_like_to_array(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes(arr) {
    if (Array.isArray(arr)) return arr;
}
function _class_call_check(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _defineProperties(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties(Constructor, staticProps);
    return Constructor;
}
function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _iterable_to_array_limit(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _sliced_to_array(arr, i) {
    return _array_with_holes(arr) || _iterable_to_array_limit(arr, i) || _unsupported_iterable_to_array(arr, i) || _non_iterable_rest();
}
function _unsupported_iterable_to_array(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array(o, minLen);
}
import { createContext, useContext } from 'react';
import en from './locales/en';
import zh from './locales/zh';
// Define available locales
export var locales = {
    en: en,
    zh: zh
};
// Create a context for the I18n
export var I18nContext = createContext({
    locale: 'zh',
    setLocale: function() {}
});
// I18n singleton class
var I18nClass = /*#__PURE__*/ function() {
    "use strict";
    function I18nClass() {
        _class_call_check(this, I18nClass);
        _define_property(this, "locale", 'zh') // Default locale
        ;
        _define_property(this, "translations", locales);
    }
    _create_class(I18nClass, [
        {
            key: "getLocale",
            value: // Get the current locale
            function getLocale() {
                return this.locale;
            }
        },
        {
            key: "setLocale",
            value: // Set the current locale
            function setLocale(locale) {
                if (this.translations[locale]) {
                    this.locale = locale;
                } else {
                    console.warn('Locale "'.concat(locale, '" is not supported. Using default locale.'));
                }
            }
        },
        {
            key: "getAvailableLocales",
            value: // Get all available locales
            function getAvailableLocales() {
                return Object.keys(this.translations);
            }
        },
        {
            key: "t",
            value: // Translate a key
            function t(key, params) {
                var translation = this.getTranslation(key);
                if (!translation) {
                    console.warn('Translation key "'.concat(key, '" not found in locale "').concat(this.locale, '".'));
                    return key;
                }
                if (!params) {
                    return translation;
                }
                // Replace parameters in the translation string
                return Object.entries(params).reduce(function(result, param) {
                    var _param = _sliced_to_array(param, 2), _$param = _param[0], value = _param[1];
                    return result.replace(new RegExp("{{".concat(_$param, "}}"), 'g'), String(value));
                }, translation);
            }
        },
        {
            key: "getTranslation",
            value: // Get a translation by key
            function getTranslation(key) {
                var currentTranslations = this.translations[this.locale];
                return key.split('.').reduce(function(obj, k) {
                    return obj && obj[k];
                }, currentTranslations);
            }
        }
    ]);
    return I18nClass;
}();
// Create a singleton instance
var I18n = new I18nClass();
// React hook for using I18n in components
export var useI18n = function() {
    var _useContext = useContext(I18nContext), locale = _useContext.locale, setLocale = _useContext.setLocale;
    return {
        t: function(key, params) {
            return I18n.t(key, params);
        },
        locale: locale,
        setLocale: function(newLocale) {
            I18n.setLocale(newLocale);
            setLocale(newLocale);
        },
        getAvailableLocales: function() {
            return I18n.getAvailableLocales();
        }
    };
};
// Export the singleton for direct usage
export default I18n;

//# sourceMappingURL=index.js.map