export default {
    navTitle: 'Experience Rating',
    basicinfo_title: 'Basic Information',
    basicinfo_miniprogramId: 'Miniprogram ID',
    basicinfo_version: 'Version',
    basicinfo_deviceModel: 'Device Model',
    basicinfo_networkType: 'Network Type',
    basicinfo_baseLibVersion: 'Base Library Version',
    basicinfo_startupTime: 'Startup Time',
    basicinfo_tarDownloadTime: 'TAR Download Time',
    basicinfo_experienceTime: 'Open Duration Time',
    score_title_total: 'Total',
    score_title_performance: 'Performance',
    score_title_experience: 'Experience',
    score_title_bestPractice: 'Best Practices',
    score_desc_performance: 'From the page rendering、network、JS script etc. perspective, evaluate the performance of the mini program',
    score_desc_experience: 'From the visual、interaction etc. perspective, evaluate the experience of the mini program whether it is good enough',
    score_desc_bestPractices: "From the best practices perspective, evaluate the mini program's various indicators",
    not_passed: 'Not passed',
    passed: 'Passed',
    unchecked: 'Unchecked',
    script_execution_time: 'Script Execution Time',
    script_execution_time_passedTitle: 'Avoid long script execution times',
    script_execution_time_failedTitle: 'Long script execution times detected',
    script_execution_time_desc: 'Long script execution times can cause users to experience lag and poor performance. If this occurs, review and optimize script logic',
    script_execution_time_headings_cost: 'Duration',
    script_execution_time_headings_page: 'Page',
    script_execution_time_headings_name: 'Method Name',
    fmp_time: 'First Meaningful Paint Time',
    fmp_time_passedTitle: 'Avoid long First Meaningful Paint times',
    fmp_time_failedTitle: 'Long First Meaningful Paint time detected',
    fmp_time_desc: 'Long First Meaningful Paint times can negatively impact user experience. Optimize page loading and rendering processes',
    fmp_time_headings_cost: 'Duration',
    fmp_time_headings_page: 'Page',
    render_time: 'Interface Rendering Time',
    render_time_passedTitle: 'Avoid long interface rendering times',
    render_time_failedTitle: 'Long interface rendering times detected',
    render_time_desc: 'Long interface rendering times can cause users to experience lag and poor performance. If this occurs, check if the rendered area is too large',
    render_time_headings_cost: 'Duration',
    render_time_headings_page: 'Page',
    lower_average_frame_rate: 'Lowest Page Frame Rate',
    lower_average_frame_rate_passedTitle: 'Page frame rate maintained at a high level',
    lower_average_frame_rate_failedTitle: 'Low page frame rate detected',
    lower_average_frame_rate_desc: 'Low page frame rates can cause users to experience lag, affecting usability',
    lower_average_frame_rate_headings_min: 'Lowest Frame Rate',
    lower_average_frame_rate_headings_page: 'Page',
    setData_calls: 'setData Calls Per Second',
    setData_calls_passedTitle: 'Avoid frequent setData calls',
    setData_calls_failedTitle: 'Frequent setData calls detected',
    setData_calls_desc: 'setData calls involve thread communication between logic and rendering layers. Excessive frequency may lead to processing queue blockage and delayed interface rendering, causing lag. Avoid unnecessary frequent calls',
    setData_calls_headings_times: 'Calls Per Second',
    setData_calls_headings_page: 'Page',
    setData_size: 'setData Data Size',
    setData_size_passedTitle: 'Avoid large setData data sizes',
    setData_size_failedTitle: 'Large setData data sizes detected',
    setData_size_desc: 'As mini-programs run on logic and rendering threads, setData calls transfer data from the logic layer to the rendering layer. Large data sizes increase communication time',
    setData_size_headings_size: 'Data Size (KB)',
    setData_size_headings_page: 'Page',
    tyml_nodes: 'TYML Node Count',
    tyml_nodes_passedTitle: 'Avoid excessive TYML node counts',
    tyml_nodes_failedTitle: 'Excessive TYML node count detected',
    tyml_nodes_desc: "It's recommended to use fewer than 1000 TYML nodes per page, with a tree depth less than 30 layers, and no more than 60 child nodes. An overly large TYML node tree increases memory usage and prolongs style reflow time",
    tyml_nodes_headings_totalNode: 'Total Nodes',
    tyml_nodes_headings_depth: 'Node Depth',
    tyml_nodes_headings_maxChildren: 'Max Child Nodes',
    tyml_nodes_headings_page: 'Page',
    network_request_time: 'All Request Durations',
    network_request_time_passedTitle: 'All request durations should not be too long',
    network_request_time_failedTitle: 'Long request durations detected',
    network_request_time_desc: 'Long request durations can cause users to wait or even leave. Optimize server processing time, reduce response package size, and ensure quick request responses',
    network_request_time_headings_cost: 'Duration',
    network_request_time_headings_api: 'API',
    network_request_time_headings_status: 'Request Status',
    network_concurrent_requests: 'Concurrent Request Count',
    network_concurrent_requests_passedTitle: 'Avoid too many requests in a short time',
    network_concurrent_requests_failedTitle: 'Too many requests in a short time detected',
    network_concurrent_requests_desc: 'The number of concurrent requests lasting over 300ms initiated per second through request, atop, and highway should not exceed 10. Too many requests may lead to slow loading. Control request quantity reasonably, even consider merging requests',
    network_concurrent_requests_headings_apis: 'Request APIs',
    network_concurrent_requests_headings_count: 'Concurrent Request Count',
    image_concurrent_requests: 'Concurrent Image Request Count',
    image_concurrent_requests_passedTitle: 'Avoid too many image requests in a short time',
    image_concurrent_requests_failedTitle: 'Too many image requests in a short time detected',
    image_concurrent_requests_desc: 'Initiating too many image requests in a short time may trigger browser parallel loading limits, potentially causing slow image loading and user waiting. Control the quantity reasonably',
    image_concurrent_requests_headings_url: 'Image URL',
    image_concurrent_requests_headings_page: 'Page',
    image_concurrent_requests_headings_size: 'Image Size (KB)',
    image_size_check: 'Image Size',
    image_size_check_passedTitle: 'Avoid large network images affecting page load speed',
    image_size_check_failedTitle: 'Large network images affecting page load speed detected',
    image_size_check_desc: "Check if image sizes are optimized. It's recommended that single images do not exceed 300KB to improve loading speed",
    image_size_check_headings_url: 'Image URL',
    image_size_check_headings_size: 'Image Size (KB)',
    image_size_check_headings_page: 'Page',
    mini_program_package_size: 'Mini-Program Package Size',
    mini_program_package_size_passedTitle: 'Avoid large mini-program package sizes affecting container loading speed',
    mini_program_package_size_failedTitle: 'Large mini-program package size affecting container loading speed detected',
    mini_program_package_size_desc: 'The mini-program package size affects loading time. Control package size, which should not exceed 4M',
    mini_program_package_size_headings_size: 'Package Size (KB)',
    ttt_concurrent_calls: 'TTT Concurrent Calls',
    ttt_concurrent_calls_passedTitle: 'Avoid excessive TTT concurrent calls occupying channels and affecting mini-program interaction response',
    ttt_concurrent_calls_failedTitle: 'Excessive TTT concurrent calls occupying channels and affecting mini-program interaction response detected',
    ttt_concurrent_calls_desc: 'The number of concurrent TTT API calls should not be excessive. Interaction requests should not exceed 20 per second, otherwise it may affect mini-program interaction response speed',
    ttt_concurrent_calls_headings_type: 'API Type',
    ttt_concurrent_calls_headings_name: 'Method or Event Name',
    app_theme_variables: 'App Theme Variable Usage',
    app_theme_variables_passedTitle: 'App theme variables are used',
    app_theme_variables_failedTitle: 'App theme variables are not used',
    app_theme_variables_desc: 'In business logic, try to use App theme variables (--app-X) to ensure the mini-program theme color changes with APP configuration',
    app_theme_variables_headings_value: 'Theme Variable',
    app_theme_variables_headings_file: 'File',
    app_theme_variables_headings_key: 'Config Key',
    dark_mode_support: 'Dark Mode Support',
    dark_mode_support_passedTitle: 'Dark mode is supported',
    dark_mode_support_failedTitle: 'Dark mode is not supported',
    dark_mode_support_desc: 'Dark mode support needs to be adapted in the mini-program, and darkmode should be correctly configured in app.json',
    dark_mode_support_headings_configDarkMode: 'Configured',
    multi_language_usage: 'Multilanguage Usage',
    multi_language_usage_passedTitle: 'No hardcoded Chinese text detected',
    multi_language_usage_failedTitle: 'Hardcoded Chinese text detected',
    multi_language_usage_desc: 'Avoid using hardcoded Chinese text in mini-programs. Use multilanguage configuration for all text',
    multi_language_usage_headings_texts: 'Text',
    multi_language_usage_headings_file: 'File',
    clickable_element_response_area: 'Clickable Element Response Area Size',
    clickable_element_response_area_passedTitle: 'Reasonable clickable element response area sizes set',
    clickable_element_response_area_failedTitle: 'Small clickable element response areas detected',
    clickable_element_response_area_desc: 'We should set reasonable response area sizes for clickable elements. If too small, users may find it difficult to click, resulting in poor experience',
    clickable_element_response_area_headings_comp: 'Element',
    clickable_element_response_area_headings_page: 'Page',
    clickable_element_response_area_headings_area: 'Area',
    safe_area_compatibility: 'Safe Area Compatibility',
    safe_area_compatibility_passedTitle: 'Fixed position clickable components are within safe areas',
    safe_area_compatibility_failedTitle: 'Fixed position clickable components outside safe areas detected',
    safe_area_compatibility_desc: 'All fixed position clickable components should be within safe areas, otherwise event responses may not trigger, or Home Indicator may be easily misclicked',
    safe_area_compatibility_headings_comp: 'Element',
    safe_area_compatibility_headings_page: 'Page',
    safe_area_compatibility_headings_area: 'Area',
    js_error_logs: 'JavaScript Exception Detection',
    js_error_logs_passedTitle: 'Avoid any JavaScript exceptions',
    js_error_logs_failedTitle: 'JavaScript exceptions detected',
    js_error_logs_desc: 'JavaScript exceptions may prevent program interaction from continuing. We should aim for zero exceptions to ensure high robustness and availability of the program',
    js_error_logs_headings_errorMsg: 'Error Message',
    https_compliance: 'HTTPS Requests',
    https_compliance_passedTitle: 'Ensure all requests use HTTPS',
    https_compliance_failedTitle: 'Some requests not using HTTPS detected',
    https_compliance_desc: 'HTTPS is a secure and reliable network transmission layer protocol, ensuring the security and availability of mini-programs',
    https_compliance_headings_url: 'URL',
    https_compliance_headings_page: 'Page',
    package_image_check: 'In-Package Image Size Detection',
    package_image_check_passedTitle: 'Ensure in-package image sizes are less than 100KB',
    package_image_check_failedTitle: 'In-package image sizes exceeding 100KB detected',
    package_image_check_desc: 'Mini-program in-package image sizes should not exceed 100KB, otherwise using CDN is recommended',
    package_image_check_headings_file: 'File',
    package_image_check_headings_size: 'Image Size (KB)',
    cross_region_access: 'Cross-Region API Access',
    cross_region_access_passedTitle: 'Ensure no cross-region API access occurs',
    cross_region_access_failedTitle: 'Cross-region API access detected',
    cross_region_access_desc: 'Detect cross-region API access',
    cross_region_access_headings_apis: 'API',
    cross_region_access_headings_region: 'Region',
    dp_data_change: 'DP Data Change Frequency',
    dp_data_change_passedTitle: 'DP data changes no more than once per second',
    dp_data_change_failedTitle: 'DP data changes more than once per second detected',
    dp_data_change_desc: "DP report frequency should not exceed once per second. If higher, check if there's a device issue",
    dp_data_change_headings_deviceId: 'Device ID',
    dp_data_change_headings_dps: 'DP Points'
};

//# sourceMappingURL=en.js.map