function _assert_this_initialized(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _call_super(_this, derived, args) {
    derived = _get_prototype_of(derived);
    return _possible_constructor_return(_this, _is_native_reflect_construct() ? Reflect.construct(derived, args || [], _get_prototype_of(_this).constructor) : derived.apply(_this, args));
}
function _class_call_check(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _construct(Parent, args, Class) {
    if (_is_native_reflect_construct()) {
        _construct = Reflect.construct;
    } else {
        _construct = function construct(Parent, args, Class) {
            var a = [
                null
            ];
            a.push.apply(a, args);
            var Constructor = Function.bind.apply(Parent, a);
            var instance = new Constructor();
            if (Class) _set_prototype_of(instance, Class.prototype);
            return instance;
        };
    }
    return _construct.apply(null, arguments);
}
function _defineProperties(target, props) {
    for(var i = 0; i < props.length; i++){
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
    }
}
function _create_class(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties(Constructor, staticProps);
    return Constructor;
}
function _get_prototype_of(o) {
    _get_prototype_of = Object.setPrototypeOf ? Object.getPrototypeOf : function getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _get_prototype_of(o);
}
function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _set_prototype_of(subClass, superClass);
}
function _is_native_function(fn) {
    return Function.toString.call(fn).indexOf("[native code]") !== -1;
}
function _possible_constructor_return(self, call) {
    if (call && (_type_of(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assert_this_initialized(self);
}
function _set_prototype_of(o, p) {
    _set_prototype_of = Object.setPrototypeOf || function setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _set_prototype_of(o, p);
}
function _type_of(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
}
function _wrap_native_super(Class) {
    var _cache = typeof Map === "function" ? new Map() : undefined;
    _wrap_native_super = function wrapNativeSuper(Class) {
        if (Class === null || !_is_native_function(Class)) return Class;
        if (typeof Class !== "function") {
            throw new TypeError("Super expression must either be null or a function");
        }
        if (typeof _cache !== "undefined") {
            if (_cache.has(Class)) return _cache.get(Class);
            _cache.set(Class, Wrapper);
        }
        function Wrapper() {
            return _construct(Class, arguments, _get_prototype_of(this).constructor);
        }
        Wrapper.prototype = Object.create(Class.prototype, {
            constructor: {
                value: Wrapper,
                enumerable: false,
                writable: true,
                configurable: true
            }
        });
        return _set_prototype_of(Wrapper, Class);
    };
    return _wrap_native_super(Class);
}
function _is_native_reflect_construct() {
    try {
        var result = !Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
    } catch (_) {}
    return (_is_native_reflect_construct = function() {
        return !!result;
    })();
}
import { StrictMode } from 'react';
import { createRoot } from 'react-dom/client';
import './index.css';
import AuditRatingBox from './components/AuditRatingBox';
import I18nProvider from './i18n/I18nProvider';
if (typeof window !== 'undefined') {
    window.AuditRatingComponent = {
        AuditRatingBox: AuditRatingBox
    };
}
// Define a custom element that wraps our React component
var AuditRatingElement = /*#__PURE__*/ function(HTMLElement1) {
    "use strict";
    _inherits(AuditRatingElement, HTMLElement1);
    function AuditRatingElement() {
        _class_call_check(this, AuditRatingElement);
        return _call_super(this, AuditRatingElement, arguments);
    }
    _create_class(AuditRatingElement, [
        {
            key: "connectedCallback",
            value: function connectedCallback() {
                // Get language attribute from data-language
                var language = this.getAttribute('data-language') || 'en';
                var source = this.getAttribute('data-source');
                var basicInfo = this.getAttribute('data-basic-info');
                var sourceData = [];
                var basicInfoData = {
                    miniprogramId: '',
                    miniprogramName: '',
                    versionCode: '',
                    brand: '',
                    model: '',
                    network: '',
                    jssdkVersion: ''
                };
                var dataElement = document.getElementById('miniprogram-audit-rating-data');
                if (dataElement) {
                    var dataJson = dataElement.textContent;
                    if (dataJson) {
                        try {
                            sourceData = JSON.parse(dataJson).source;
                            basicInfoData = JSON.parse(dataJson).basicInfo;
                        } catch (e) {
                            console.error('Failed to parse source data:', e);
                        }
                    }
                }
                // Parse data attributes if provided
                if (source) {
                    try {
                        sourceData = JSON.parse(source);
                    } catch (e) {
                        console.error('Failed to parse source data:', e);
                    }
                }
                if (basicInfo) {
                    try {
                        basicInfoData = JSON.parse(basicInfo);
                    } catch (e) {
                        console.error('Failed to parse basic info data:', e);
                    }
                }
                // Create a container for our React component
                var mountPoint = document.createElement('div');
                this.appendChild(mountPoint);
                // Render the React component
                var root = createRoot(mountPoint);
                root.render(/*#__PURE__*/ React.createElement(StrictMode, null, /*#__PURE__*/ React.createElement(I18nProvider, {
                    initialLocale: language
                }, /*#__PURE__*/ React.createElement(AuditRatingBox, {
                    basicInfo: basicInfoData,
                    source: sourceData
                }))));
            }
        }
    ]);
    return AuditRatingElement;
}(_wrap_native_super(HTMLElement));
// Register the custom element
customElements.define('audit-rating-box', AuditRatingElement);
// Also initialize any existing elements with id="audit-rating-box"
document.addEventListener('DOMContentLoaded', function() {
    var ratingBoxElement = document.getElementById('audit-rating-box');
    if (ratingBoxElement) {
        var language = ratingBoxElement.getAttribute('data-language') || 'en';
        var source = ratingBoxElement.getAttribute('data-source');
        var basicInfo = ratingBoxElement.getAttribute('data-basic-info');
        var sourceData = [];
        var basicInfoData = {
            miniprogramId: '',
            miniprogramName: '',
            versionCode: '',
            brand: '',
            model: '',
            network: '',
            jssdkVersion: ''
        };
        var dataElement = document.getElementById('miniprogram-audit-rating-data');
        if (dataElement) {
            var dataJson = dataElement.textContent;
            if (dataJson) {
                try {
                    sourceData = JSON.parse(dataJson).source;
                    basicInfoData = JSON.parse(dataJson).basicInfo;
                } catch (e) {
                    console.error('Failed to parse source data:', e);
                }
            }
        }
        // Parse data attributes if provided
        if (source) {
            try {
                sourceData = JSON.parse(source);
            } catch (e) {
                console.error('Failed to parse source data:', e);
            }
        }
        if (basicInfo) {
            try {
                basicInfoData = JSON.parse(basicInfo);
            } catch (e) {
                console.error('Failed to parse basic info data:', e);
            }
        }
        var root = createRoot(ratingBoxElement);
        root.render(/*#__PURE__*/ React.createElement(StrictMode, null, /*#__PURE__*/ React.createElement(I18nProvider, {
            initialLocale: language
        }, /*#__PURE__*/ React.createElement(AuditRatingBox, {
            basicInfo: basicInfoData,
            source: sourceData
        }))));
    }
});
// Export components for direct usage
export default AuditRatingBox;

//# sourceMappingURL=index.js.map